// Created By: FelipeGamer

import { world, system } from "mojang-minecraft";

const items = [
  "heavy:glowstone_sword", "heavy:glowstone_axe",
  "heavy:glowstone_pickaxe", "heavy:glowstone_shovel",
  "heavy:glowstone_hoe","minecraft:glowstone_dust","minecraft:glowstone"
];

world.events.tick.subscribe(() => {
  const players = world.getPlayers();

  for (const player of players) {
    const container = player.getComponent("inventory").container;
    const mainHand = container.getItem(player.selectedSlot);
    
    if (!mainHand) {
      player.runCommand("function miner_candle_no_light");
      continue;
    }

    if (items.includes(mainHand.id)) {
      player.runCommand("function miner_candle_light");
    } else if (!items.includes(mainHand.id)) {
      player.runCommand("function miner_candle_no_light");
    }
  }
});

system.events.beforeWatchdogTerminate.subscribe((evt) => {
   evt.cancel = true;
});